.BorderRadius2 { border-radius:2px }
.BorderRadius4 { border-radius:4px }
.BorderRadius6 { border-radius:6px }
.BorderRadius8 { border-radius:8px }
.BorderRed4 { border:4px solid red }
.BorderGreen4 { border:4px solid green }
.BorderBlue4 { border:4px solid blue }
.BorderRed6 { border:6px solid red }
.BorderGreen6 { border:6px solid green }
.BorderBlue6 { border:6px solid blue }
.BorderRed8 { border:8px solid red }
.BorderGreen8 { border:8px solid green }
.BorderBlue8 { border:8px solid blue }
.BorderGray8 { border:8px solid gray }

.BoxShadow4 {
    -moz-box-shadow: 4px 4px 2px #666;
 -webkit-box-shadow: 4px 4px 2px #666;
         box-shadow: 4px 4px 2px #666;
}
.BoxShadow8 {
    -moz-box-shadow: 2px 6px 2px #666;
 -webkit-box-shadow: 2px 6px 2px #666;
         box-shadow: 2px 6px 2px #666;
}

.TextShadow2 { text-shadow:2px 2px 2px #222; -moz-text-shadow:2px 2px 2px #222; -webkit-text-shadow:2px 2px 2px #222; }
.TextShadow4 { text-shadow:4px 4px 4px #444; -moz-text-shadow:4px 4px 4px #444; -webkit-text-shadow:4px 4px 4px #444; }
.TextShadow6 { text-shadow:6px 6px 6px #444; -moz-text-shadow:6px 6px 6px #444; -webkit-text-shadow:6px 6px 6px #444; }
.TextShadow8 { text-shadow:8px 8px 8px #444; -moz-text-shadow:8px 8px 8px #444; -webkit-text-shadow:8px 8px 8px #444; }


.GradientLeftLightGray {
 background-color: #fafafa; 
 background-image: -webkit-gradient(top, 0% 0%, 0% 100%, from(#a5a5a5), to(#fafafa));
 background-image: -webkit-linear-gradient(left, #a5a5a5, #fafafa); 
 background-image:    -moz-linear-gradient(left, #a5a5a5, #fafafa);
 background-image:     -ms-linear-gradient(left, #a5a5a5, #fafafa);
 background-image:      -o-linear-gradient(left, #a5a5a5, #fafafa);
}

.GradientLeftDarkGray {
 background-color: #eaeaea; 
 background-image: -webkit-gradient(top, 0% 0%, 0% 100%, from(#a5a5a5), to(#eaeaea));
 background-image: -webkit-linear-gradient(left, #a5a5a5, #eaeaea); 
 background-image:    -moz-linear-gradient(left, #a5a5a5, #eaeaea);
 background-image:     -ms-linear-gradient(left, #a5a5a5, #eaeaea);
 background-image:      -o-linear-gradient(left, #a5a5a5, #eaeaea);
}

.GradientTopLightBlue {
 background-color: #add8e6; 
 background-image: -webkit-gradient(top, 0% 0%, 0% 100%, from(#efe7e7), to(#add8e6));
 background-image: -webkit-linear-gradient(top, #eFe7e7, #add8e6); 
 background-image:    -moz-linear-gradient(top, #eFe7e7, #add8e6);
 background-image:     -ms-linear-gradient(top, #eFe7e7, #add8e6);
 background-image:      -o-linear-gradient(top, #2e2e2e, #add8e6);
}

.GradientBottomDarkBlue-Black {
 background-color: #1a82f7; 
 background-image: -webkit-gradient(top, 0% 0%, 0% 100%, from(#2f2727), to(#1a82f7));
 background-image: -webkit-linear-gradient(top, #2F2727, #1a82f7); 
 background-image:    -moz-linear-gradient(top, #2F2727, #1a82f7);
 background-image:     -ms-linear-gradient(top, #2F2727, #1a82f7);
 background-image:      -o-linear-gradient(top, #2F2727, #1a82f7);
}

.GradientLeftDarkBlue-Black {
 background-color: #1a82f7; 
 background-image: -webkit-gradient(right, 0% 0%, 0% 100%, from(#2f2727), to(#1a82f7));
 background-image: -webkit-linear-gradient(right, #2F2727, #1a82f7); 
 background-image:    -moz-linear-gradient(right, #2F2727, #1a82f7);
 background-image:     -ms-linear-gradient(right, #2F2727, #1a82f7);
 background-image:      -o-linear-gradient(right, #2F2727, #1a82f7);
}

.GradientRightDarkBlue-White {
 background-color: #f7f7f7; 
 background-image: -webkit-gradient(right, 0% 0%, 0% 100%, from(#1a82f7), to(#f7f7f7));
 background-image: -webkit-linear-gradient(right, #1a82f7, #f7f7f7); 
 background-image:    -moz-linear-gradient(right, #1a82f7, #f7f7f7);
 background-image:     -ms-linear-gradient(right, #1a82f7, #f7f7f7);
 background-image:      -o-linear-gradient(right, #1a82f7, #f7f7f7);
}

.GradientRightFuschia {
 background-color: #fa22f7;
 background-image: -webkit-gradient(linear, right, left, color-stop(0, #fa22f7), color-stop(1, #eaeff2));
 background-image: -webkit-linear-gradient(right, #fa22f7 0%, #eaeff2 100%);
 background-image:    -moz-linear-gradient(right, #fa22f7 0%, #eaeff2 100%);
 background-image:     -ms-linear-gradient(right, #fa22f7 0%, #eaeff2 100%);
 background-image:      -o-linear-gradient(right, #fa22f7 0%, #eaeff2 100%);
}

/*
playback timings (ms):
  RedisCDXSource: 0.61
  esindex: 0.01
  captures_list: 151.889
  exclusion.robots: 0.147
  PetaboxLoader3.resolve: 258.511 (3)
  exclusion.robots.policy: 0.136
  CDXLines.iter: 10.182 (3)
  LoadShardBlock: 138.604 (3)
  load_resource: 287.487
  PetaboxLoader3.datanode: 116.555 (5)
*/

   .navbar-default { background-color: #69899f; border-color: #425766; }
   .navbar-default .navbar-brand { color: #d7e2e9; }
   .navbar-default .navbar-brand:hover, .navbar-default .navbar-brand:focus { color: #e5dbdb; }
   .navbar-default .navbar-text { color: #d7e2e9; }
   .navbar-default .navbar-nav > li > a { color: #d7e2e9; }
   .navbar-default .navbar-nav > li > a:hover, .navbar-default .navbar-nav > li > a:focus { color: #e5dbdb; }
   .navbar-default .navbar-nav > li > .dropdown-menu { background-color: #69899f; }
   .navbar-default .navbar-nav > li > .dropdown-menu > li > a { color: #d7e2e9; }
   .navbar-default .navbar-nav > li > .dropdown-menu > li > a:hover, .navbar-default .navbar-nav > li > .dropdown-menu > li > a:focus {
    color: #e5dbdb; background-color: #425766;
   }
   .navbar-default .navbar-nav > li > .dropdown-menu > li > .divider { background-color: #69899f; }
   .navbar-default .navbar-nav > .active > a, .navbar-default .navbar-nav > .active > a:hover, .navbar-default .navbar-nav > .active > a:focus {
    color: #e5dbdb; background-color: #425766;
   }
   .navbar-default .navbar-nav > .open > a, .navbar-default .navbar-nav > .open > a:hover, .navbar-default .navbar-nav > .open > a:focus {
    color: #e5dbdb; background-color: #425766;
   }
   .navbar-default .navbar-toggle { border-color: #425766; }
   .navbar-default .navbar-toggle:hover, .navbar-default .navbar-toggle:focus { background-color: #425766; }
   .navbar-default .navbar-toggle .icon-bar { background-color: #d7e2e9; }
   .navbar-default .navbar-collapse, .navbar-default .navbar-form { border-color: #d7e2e9; }
   .navbar-default .navbar-link { color: #d7e2e9; }
   .navbar-default .navbar-link:hover { color: #e5dbdb; }
   @media (max-width: 767px) {
    .navbar-default .navbar-nav .open .dropdown-menu > li > a { color: #d7e2e9; }
    .navbar-default .navbar-nav .open .dropdown-menu > li > a:hover, .navbar-default .navbar-nav .open .dropdown-menu > li > a:focus {
     color: #e5dbdb;
    }
    .navbar-default .navbar-nav .open .dropdown-menu > .active > a, .navbar-default .navbar-nav .open .dropdown-menu > .active > a:hover, .navbar-default .navbar-nav .open .dropdown-menu > .active > a:focus {
     color: #e5dbdb; background-color: #425766;
    }
   }
   .navbar-nav { flex-direction:row; }
